%define name eb
%define	version 3.3.4

Summary: C Library for accessing CD-ROM books
Name: %{name}
Version: %{version}
Release: 0
Copyright: GPL
Source0: ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}.tar.gz
#Patch0: ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}+.diff
#Patch1: ftp://ftp.sra.co.jp/pub/misc/eb/%{name}-%{version}+2.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: System Environment/Libraries
BuildPreReq: zlib-devel >= 1.1.3
Requires: zlib >= 1.1.3
Prefix: /usr
PreReq: /sbin/ldconfig, /sbin/install-info
Conflicts: ndtpd == 2.3.7
Summary(ja): CD-ROM Ҥ˥뤿 C Υ饤֥
URL: http://www.sra.co.jp/people/m-kasahr/eb/


%description
EB Library is a C library for accessing CD-ROM books.  
It can be built on UNIX derived systems.  
EB Library supports to access CD-ROM books of 
EB, EBG, EBXA, EBXA-C, S-EBXA and EPWING formats.  

%description -l ja
EB 饤֥ CD-ROM Ҥ˥뤿 C Υ饤֥Ǥ
UNIX  OS Υƥư뤳ȤǤޤ
EB, EBG, EBXA, EBXA-C, S-EBXA  EPWING  
CD-ROM ҤбƤޤ

%package devel
Summary: Header files to develop apps which will use eb.
Group: Development/Libraries
Requires: eb == %{version}

%description devel
The eb-devel package contains the header files 
which enable you to develop programs utilizing the eb library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p1 -b .33plus
#%patch1 -p1 -b .33plus2

%build
env CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
%configure --with-zlib-include=%{_includedir} \
           --with-zlib-libraries=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%post
/sbin/ldconfig
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebfont.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebinfo.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebrefile.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebzip.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebfont-ja.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebinfo-ja.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebrefile-ja.info.gz
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/ebzip-ja.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebfont.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebinfo.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebrefile.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebzip.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebfont-ja.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebinfo-ja.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebrefile-ja.info.gz
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/ebzip-ja.info.gz
fi

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.0 INSTALL* NEWS README*
%config %{_sysconfdir}/eb.conf
%{_bindir}/*
%{_infodir}/*
%{_libdir}/libeb.so.*
%{_datadir}/eb
%{_datadir}/locale/ja/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/eb
%{_includedir}/eb/*
%{_libdir}/libeb.a
%{_libdir}/libeb.la
%{_libdir}/libeb.so
%{_datadir}/aclocal/*

%changelog
* Thu Jun 12 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 3.3.3-0vl1
- version up to 3.3.3

* Fri Mar 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 3.3.2-0vl1
- version up to 3.3.2

* Mon Feb 17 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 3.3-2vl1
- version up to 3.3+2

* Sat Feb 08 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- 3.3-1vl1
- version up to 3.3+

* Sun Nov 24 2002 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumie.ac.jp>
- 3.2.3-0vl1
- version up to 3.2.3

* Fri Jun 21 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 3.2.2-3vl2
- eliminated Patch0(eb-3.1+.diff), 1(eb-3.1+2.diff) and 2(eb-3.1+3.diff)
- merged 3.2.2-0vl1 for Vine-2.5 Plus's Spec file
    * Tue Jun 11 2002 Satoshi Tanaka <tnim@mint.freemail.ne.jp>
    - update eb.spec and release 3.2.20vl1 for Vine Linux 2.x
    
    * Tue Mar 30 2002 Satoshi Tanaka <tnim@mint.freemail.ne.jp>
    - Update version 3.2.1 for Vine Linux 2.1.5
- version up to 3.2.2
- use rpm macros

* Mon Nov 12 2001 KOBAYASHI R. Taizo <tkoba@ike-dyn.ritsumie.ac.jp>
- 3.1-3vl1
- version up to 3.1+3

* Fri Jul  6 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 3.0.1-0vl1
- version up to 3.0.1

* Sat Jun 23 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 3.0+-0vl3
- add PreReq: /sbin/install-info, handle info pages in %%post and %%preun

* Sat Jun 23 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 3.0+-0vl2
- libeb.a, libeb.la, libeb.so move to eb-devel

* Fri Jun 22 2001 UECHI Yasumasa <uh@u.dhis.portside.net>
- 3.0+-0vl1
- version up to 3.0+

* Thu Aug 31 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.3.7-0vl4
- modified %files section to handle compressed info page(s)

* Tue Jun 13 2000 Takuya Yamazaki <ytakuya@mx6.mesh.ne.jp>
- to prevent eb and eb-devel from conflicting with ndtpd

* Sun Jun 11 2000 Takuya Yamazaki <ytakuya@mx6.mesh.ne.jp>
- to split eb of 1st release into eb and eb-devel

* Fri May 19 2000 Takuya Yamazaki <ytakuya@mx6.mesh.ne.jp>
- 1st release

